# PSF-LoginServer - master - net.psforever.objects.ballistics.ProjectileQuality
PSF - LoginServer - master - net.psforever.objects.ballistics.ProjectileQuality
Keywords: PSF LoginServer master net.psforever.objects.ballistics.ProjectileQuality

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package ballistics
  Definition Classes
    objects
- AggravatedDamage
- AggravatedInfo
- AggravatedTiming
- ChargeDamage
- DeployableSource
- NonvitalDefinition
- ObjectSource
- PlayerSource
- Projectile
- ProjectileQuality
- Projectiles
- SameAsQuality
- SourceEntry
- VehicleSource

t

net.psforever.objects.ballistics

# ProjectileQuality 

###
Companion object ProjectileQuality

#### sealed trait ProjectileQuality extends AnyRef

Projectile quality is an external aspect of projectiles that is not dependent on hard-coded definitions of the entities used to compose the projectile such as the knowlegde of the emitting `Tool` (weapon). A flag or a damage modifier, depending on use. To the extent that it can be used as a numeric modifier, insists on defining a numeric modifier component rather to what it is trying to express. That numeric modifier does not have to be used for anything.

Source
  ProjectileQuality.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
AggravatesTarget, Modified, Normal, Zeroed, SameAsQuality

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ProjectileQuality
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Abstract Value Members

1.  abstract def mod: Float

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
14.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
16.  def toString(): String
    Definition Classes
      AnyRef → Any
17.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
18.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped